Page MenuHomePhabricator

Places popover should appear below the map annotation
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 5 2017, 4:23 PM
JMinor triaged this task as Low priority.May 8 2017, 6:53 PM
JMinor moved this task from Needs Triage to Product Backlog on the Wikipedia-iOS-App-Backlog board.
Josve05a updated the task description. (Show Details)May 12 2017, 5:12 PM
JoeWalsh closed this task as Resolved.May 12 2017, 5:41 PM

I can't repro this on develop. Closing as resolved, re-open if we can repro.

@JoeWalsh

I just experienced this

Correctly AboveCorrectly BelowBug case

Repro
iPhone 6s 10.3 simulator
develop branch (commit 8ac806f3c3681adf91af4e77377743b751f4f7fa)

  • Go to Cupertino (roughly in the screenshot)
  • Tap on the Valco Shopping Mall Pin
  • Drag the map up and down until the Bug case happens
JoeWalsh reopened this task as Open.May 13 2017, 10:20 AM
JoeWalsh removed JoeWalsh as the assignee of this task.May 24 2017, 4:56 PM
JoeWalsh added a subscriber: JoeWalsh.
AMroczkowski removed AMroczkowski as the assignee of this task.Jun 27 2017, 6:32 PM

Following Andy's repro steps, I'm not seeing this on develop (the popover appears below the map annotation at all times).

julbod claimed this task.Jul 5 2017, 3:35 AM
julbod added a comment.Jul 6 2017, 1:32 AM

I successfully reproduced this bug. I also had two more cases where this bug appears, it is when the popover is displayed on the left or on the right of the annotation view:

Here on the left

JMinor added a subscriber: JMinor.Aug 2 2017, 9:54 PM

Testing steps:

  • On the Places tab...
  • Go to Cupertino (roughly in the screenshot)
  • Tap on the Valco Shopping Mall Pin
  • Drag the map up and down

Verify that the "popover" with the page title, etc looks as shown in "Correctly Above" or "Correctly Below" and never "Bug Case" as shown in screenshots in T164598#3259538

Testing on iPhone 6s (iOS 10.3.3) and Wikipedia app 5.6.0 (1189). Instead of declaring whether this is fixed I will just present my screencaps below and let the staff decide.

JMinor closed this task as Resolved.Aug 3 2017, 12:29 AM

Yep, thats fixed.